- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TApplicationException
TConfigurationException
TDbConnectionException
TDbException
TErrorHandler
TException
THttpException
TInvalidDataTypeException
TInvalidDataValueException
TInvalidOperationException
TIOException
TNotSupportedException
TPhpErrorException
TSystemException
TTemplateException

Keyword

# Class THttpException

    Exception
       |
       --TException
          |
          --TSystemException
             |
             --THttpException

THttpException class

THttpException represents an exception that is caused by invalid operations of end-users. The StatusCode gives the type of HTTP error. It is used by TErrorHandler to provide different error output to users.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Constructor Summary
public | __construct Array Constructor.

Method Summary
integer | getStatusCode ()

Methods Inherited From TException
TException::getErrorCode(), TException::getErrorMessage(), TException::getErrorMessageFile(), TException::setErrorCode(), TException::setErrorMessage(), TException::translateErrorMessage()

Constructor Details

## __construct

public __construct | Array

Constructor.

Method Details

## getStatusCode

public integer getStatusCode | ()

Output
integer | HTTP status code, such as 404, 500, etc.
Exception